API referenceWhatsApp
GET /whatsapp/wa-groups/{groupId}/join-requests
Pending join requests (approval_required groups)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
groupId*stringGroup id
accountId*stringWhatsApp account id
{success, joinRequests}
application/json- response
success?booleanjoinRequests?array<>curl -X GET 'https://example.com/api/v1/whatsapp/wa-groups/string/join-requests?accountId=string'Example Response
{ "success": true, "joinRequests": [ { "user": "string", "timestamp": 0 } ]}